Summary: Realtime software looping sampler
Name: sooperlooper
Version: 1.6.13
Release: 6%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://essej.net/sooperlooper/
Source0: http://essej.net/sooperlooper/sooperlooper-%{version}-2.tar.gz
Source1: sooperlooper.png
Source2: sooperlooper.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme

BuildRequires: gettext-devel ncurses-devel wxGTK-devel rubberband-devel
BuildRequires: desktop-file-utils jack-audio-connection-kit-devel
BuildRequires: libsigc++-devel libsndfile-devel liblo-devel fftw-devel
BuildRequires: libsamplerate-devel alsa-lib-devel libxml2-devel

Patch0: sooperlooper-1.6.13-consts.patch

%description
SooperLooper is a realtime software looping sampler in the spirit of
Gibson's Echoplex Digital Pro. If used with a low-latency kernel and
the proper audio buffer configuration it is capable of truly realtime
live looping performance.


%prep
%setup -q
%patch0 -p1 -b .consts
# kill the stubborn overriding of CXXFLAGS
sed -i 's/OPT_FLAGS="$OPT_FLAGS -pipe"/OPT_FLAGS=""/g' configure
sed -i 's/OPT_FLAGS="$OPT_FLAGS -pipe"/OPT_FLAGS="%{optflags}"/g' \
  libs/pbd/configure libs/midi++/configure


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# install icon in the proper freedesktop location
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__install} -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

# desktop file categories
BASE="AudioVideo Audio"
XTRA="X-Digital_Processing X-Jack X-MIDI Midi"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE2}


%clean
%{__rm} -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc README OSC COPYING
%{_bindir}/*
%{_datadir}/sooperlooper
%{_datadir}/applications/*sooperlooper.desktop
%{_datadir}/icons/hicolor/32x32/apps/sooperlooper.png


%changelog
* Tue Jul 20 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.6.13-6
- Rebuild against new liblo
- Update scriptlets to the latest guidelines

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 1.6.13-5
- rebuilt against wxGTK-2.8.11-2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 04 2009 Caolán McNamara <caolanm@redhat.com> - 1.6.13-3
- constify ret of strchr(const char*)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Anthony Green <green@redhat.com> 1.6.13-1
- New upstream release 1.6.13

* Tue Apr 15 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.6.2-1
- New upstream release 1.6.2

* Mon Oct  1 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0-2
- updated the desktop categories to conform to desktop standard
  (added midi)

* Wed Sep 26 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0-1
- updated to 1.2.0, dropped patch0 and patch1, no need for extra
  perl one liners, etc

* Wed Jun  6 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.0-1
- updated to 1.1.0
- patch automake version comparison in autogen.sh, it is compared as
  a number in perl and it fails for automake > 1.9 (1.10 in fc7)
- fix #if to #ifdef and failed include in libs/pbd/mountpoint.cc (patch1)

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.8-0.4.c
- added long int patch for x86_64

* Sat Sep  9 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.8-0.3.c
- fixed typo in desktop file (SooperLooper instead of Sooperlooper, 
  thanks to Anthony Green)

* Wed Aug  2 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.8-0.2.c
- added auto* build dependencies, call ./autogen.sh to redo the autotools
  configuration to match newer autotools versions, added missing
  gettext-devel build requirement
- added COPYING license file

* Tue Aug  1 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.8-0.1.c
- specfile tweaks for Extras submission, change version/release to 
  match naming guidelines

* Sun May  7 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.8c
- update to 1.0.8c, add Planet CCRMA categories to desktop file,
  add icon

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.3
- same for fc5

* Tue May 31 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.3
- remove compiler option not recognized by gcc4.0

* Wed May  4 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.3
- updated to 1.0.3, added menu entry

* Wed Feb 16 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0dev28-1
- updated to 1.0.0dev28

* Mon Dec 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0dev25-1
- spec file cleanup

* Tue Dec  7 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0dev25-1
- initial build.
